#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAbstractCellLocator_TclCreate(Tcl_Interp *interp);
int vtkAbstractPointLocator_TclCreate(Tcl_Interp *interp);
int vtkAdjacentVertexIterator_TclCreate(Tcl_Interp *interp);
int vtkAnimationScene_TclCreate(Tcl_Interp *interp);
int vtkAnnotation_TclCreate(Tcl_Interp *interp);
int vtkAnnotationLayers_TclCreate(Tcl_Interp *interp);
int vtkArrayData_TclCreate(Tcl_Interp *interp);
int vtkAttributesErrorMetric_TclCreate(Tcl_Interp *interp);
int vtkBiQuadraticQuad_TclCreate(Tcl_Interp *interp);
int vtkBiQuadraticQuadraticHexahedron_TclCreate(Tcl_Interp *interp);
int vtkBiQuadraticQuadraticWedge_TclCreate(Tcl_Interp *interp);
int vtkBiQuadraticTriangle_TclCreate(Tcl_Interp *interp);
int vtkBox_TclCreate(Tcl_Interp *interp);
int vtkBSPCuts_TclCreate(Tcl_Interp *interp);
int vtkBSPIntersections_TclCreate(Tcl_Interp *interp);
int vtkCell3D_TclCreate(Tcl_Interp *interp);
int vtkCellArray_TclCreate(Tcl_Interp *interp);
int vtkCell_TclCreate(Tcl_Interp *interp);
int vtkCellData_TclCreate(Tcl_Interp *interp);
int vtkCellLinks_TclCreate(Tcl_Interp *interp);
int vtkCellLocator_TclCreate(Tcl_Interp *interp);
int vtkCellTypes_TclCreate(Tcl_Interp *interp);
int vtkCompositeDataSet_TclCreate(Tcl_Interp *interp);
int vtkCompositeDataIterator_TclCreate(Tcl_Interp *interp);
int vtkCone_TclCreate(Tcl_Interp *interp);
int vtkConvexPointSet_TclCreate(Tcl_Interp *interp);
int vtkCubicLine_TclCreate(Tcl_Interp *interp);
int vtkCylinder_TclCreate(Tcl_Interp *interp);
int vtkDataObjectCollection_TclCreate(Tcl_Interp *interp);
int vtkDataObject_TclCreate(Tcl_Interp *interp);
int vtkDataObjectTypes_TclCreate(Tcl_Interp *interp);
int vtkDataObjectTree_TclCreate(Tcl_Interp *interp);
int vtkDataObjectTreeIterator_TclCreate(Tcl_Interp *interp);
int vtkDataSetAttributes_TclCreate(Tcl_Interp *interp);
int vtkDataSetCollection_TclCreate(Tcl_Interp *interp);
int vtkDataSet_TclCreate(Tcl_Interp *interp);
int vtkDirectedAcyclicGraph_TclCreate(Tcl_Interp *interp);
int vtkDirectedGraph_TclCreate(Tcl_Interp *interp);
int vtkDistributedGraphHelper_TclCreate(Tcl_Interp *interp);
int vtkEdgeListIterator_TclCreate(Tcl_Interp *interp);
int vtkEdgeTable_TclCreate(Tcl_Interp *interp);
int vtkEmptyCell_TclCreate(Tcl_Interp *interp);
int vtkExplicitCell_TclCreate(Tcl_Interp *interp);
int vtkFieldData_TclCreate(Tcl_Interp *interp);
int vtkGenericAdaptorCell_TclCreate(Tcl_Interp *interp);
int vtkGenericAttributeCollection_TclCreate(Tcl_Interp *interp);
int vtkGenericAttribute_TclCreate(Tcl_Interp *interp);
int vtkGenericCell_TclCreate(Tcl_Interp *interp);
int vtkGenericCellIterator_TclCreate(Tcl_Interp *interp);
int vtkGenericCellTessellator_TclCreate(Tcl_Interp *interp);
int vtkGenericDataSet_TclCreate(Tcl_Interp *interp);
int vtkGenericEdgeTable_TclCreate(Tcl_Interp *interp);
int vtkGenericInterpolatedVelocityField_TclCreate(Tcl_Interp *interp);
int vtkGenericPointIterator_TclCreate(Tcl_Interp *interp);
int vtkGenericSubdivisionErrorMetric_TclCreate(Tcl_Interp *interp);
int vtkGeometricErrorMetric_TclCreate(Tcl_Interp *interp);
int vtkGraph_TclCreate(Tcl_Interp *interp);
int vtkGraphEdge_TclCreate(Tcl_Interp *interp);
int vtkGraphInternals_TclCreate(Tcl_Interp *interp);
int vtkHexagonalPrism_TclCreate(Tcl_Interp *interp);
int vtkHexahedron_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalBoxDataIterator_TclCreate(Tcl_Interp *interp);
int vtkHierarchicalBoxDataSet_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeCursor_TclCreate(Tcl_Interp *interp);
int vtkHyperOctree_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreePointsGrabber_TclCreate(Tcl_Interp *interp);
int vtkHyperTree_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeCursor_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGrid_TclCreate(Tcl_Interp *interp);
int vtkImageData_TclCreate(Tcl_Interp *interp);
int vtkImplicitBoolean_TclCreate(Tcl_Interp *interp);
int vtkImplicitDataSet_TclCreate(Tcl_Interp *interp);
int vtkImplicitFunctionCollection_TclCreate(Tcl_Interp *interp);
int vtkImplicitFunction_TclCreate(Tcl_Interp *interp);
int vtkImplicitHalo_TclCreate(Tcl_Interp *interp);
int vtkImplicitSelectionLoop_TclCreate(Tcl_Interp *interp);
int vtkImplicitSum_TclCreate(Tcl_Interp *interp);
int vtkImplicitVolume_TclCreate(Tcl_Interp *interp);
int vtkImplicitWindowFunction_TclCreate(Tcl_Interp *interp);
int vtkIncrementalOctreeNode_TclCreate(Tcl_Interp *interp);
int vtkIncrementalOctreePointLocator_TclCreate(Tcl_Interp *interp);
int vtkIncrementalPointLocator_TclCreate(Tcl_Interp *interp);
int vtkInEdgeIterator_TclCreate(Tcl_Interp *interp);
int vtkInformationQuadratureSchemeDefinitionVectorKey_TclCreate(Tcl_Interp *interp);
int vtkIterativeClosestPointTransform_TclCreate(Tcl_Interp *interp);
int vtkKdNode_TclCreate(Tcl_Interp *interp);
int vtkKdTree_TclCreate(Tcl_Interp *interp);
int vtkKdTreePointLocator_TclCreate(Tcl_Interp *interp);
int vtkLine_TclCreate(Tcl_Interp *interp);
int vtkLocator_TclCreate(Tcl_Interp *interp);
int vtkMeanValueCoordinatesInterpolator_TclCreate(Tcl_Interp *interp);
int vtkMergePoints_TclCreate(Tcl_Interp *interp);
int vtkMultiBlockDataSet_TclCreate(Tcl_Interp *interp);
int vtkMultiPieceDataSet_TclCreate(Tcl_Interp *interp);
int vtkMutableDirectedGraph_TclCreate(Tcl_Interp *interp);
int vtkMutableUndirectedGraph_TclCreate(Tcl_Interp *interp);
int vtkNonLinearCell_TclCreate(Tcl_Interp *interp);
int vtkNonMergingPointLocator_TclCreate(Tcl_Interp *interp);
int vtkOctreePointLocator_TclCreate(Tcl_Interp *interp);
int vtkOctreePointLocatorNode_TclCreate(Tcl_Interp *interp);
int vtkOrderedTriangulator_TclCreate(Tcl_Interp *interp);
int vtkOutEdgeIterator_TclCreate(Tcl_Interp *interp);
int vtkPath_TclCreate(Tcl_Interp *interp);
int vtkPentagonalPrism_TclCreate(Tcl_Interp *interp);
int vtkPerlinNoise_TclCreate(Tcl_Interp *interp);
int vtkPiecewiseFunction_TclCreate(Tcl_Interp *interp);
int vtkPixel_TclCreate(Tcl_Interp *interp);
int vtkPlaneCollection_TclCreate(Tcl_Interp *interp);
int vtkPlane_TclCreate(Tcl_Interp *interp);
int vtkPlanes_TclCreate(Tcl_Interp *interp);
int vtkPlanesIntersection_TclCreate(Tcl_Interp *interp);
int vtkPointData_TclCreate(Tcl_Interp *interp);
int vtkPointLocator_TclCreate(Tcl_Interp *interp);
int vtkPointSet_TclCreate(Tcl_Interp *interp);
int vtkPointsProjectedHull_TclCreate(Tcl_Interp *interp);
int vtkPolyDataCollection_TclCreate(Tcl_Interp *interp);
int vtkPolyData_TclCreate(Tcl_Interp *interp);
int vtkPolygon_TclCreate(Tcl_Interp *interp);
int vtkPolyhedron_TclCreate(Tcl_Interp *interp);
int vtkPolyLine_TclCreate(Tcl_Interp *interp);
int vtkPolyPlane_TclCreate(Tcl_Interp *interp);
int vtkPolyVertex_TclCreate(Tcl_Interp *interp);
int vtkPyramid_TclCreate(Tcl_Interp *interp);
int vtkQuad_TclCreate(Tcl_Interp *interp);
int vtkQuadraticEdge_TclCreate(Tcl_Interp *interp);
int vtkQuadraticHexahedron_TclCreate(Tcl_Interp *interp);
int vtkQuadraticLinearQuad_TclCreate(Tcl_Interp *interp);
int vtkQuadraticLinearWedge_TclCreate(Tcl_Interp *interp);
int vtkQuadraticPyramid_TclCreate(Tcl_Interp *interp);
int vtkQuadraticQuad_TclCreate(Tcl_Interp *interp);
int vtkQuadraticTetra_TclCreate(Tcl_Interp *interp);
int vtkQuadraticTriangle_TclCreate(Tcl_Interp *interp);
int vtkQuadraticWedge_TclCreate(Tcl_Interp *interp);
int vtkQuadratureSchemeDefinition_TclCreate(Tcl_Interp *interp);
int vtkQuadric_TclCreate(Tcl_Interp *interp);
int vtkRectilinearGrid_TclCreate(Tcl_Interp *interp);
int vtkReebGraph_TclCreate(Tcl_Interp *interp);
int vtkReebGraphSimplificationMetric_TclCreate(Tcl_Interp *interp);
int vtkSelection_TclCreate(Tcl_Interp *interp);
int vtkSelectionNode_TclCreate(Tcl_Interp *interp);
int vtkSimpleCellTessellator_TclCreate(Tcl_Interp *interp);
int vtkSmoothErrorMetric_TclCreate(Tcl_Interp *interp);
int vtkSphere_TclCreate(Tcl_Interp *interp);
int vtkSpline_TclCreate(Tcl_Interp *interp);
int vtkStructuredData_TclCreate(Tcl_Interp *interp);
int vtkStructuredExtent_TclCreate(Tcl_Interp *interp);
int vtkStructuredGrid_TclCreate(Tcl_Interp *interp);
int vtkStructuredPointsCollection_TclCreate(Tcl_Interp *interp);
int vtkStructuredPoints_TclCreate(Tcl_Interp *interp);
int vtkStructuredVisibilityConstraint_TclCreate(Tcl_Interp *interp);
int vtkSuperquadric_TclCreate(Tcl_Interp *interp);
int vtkTable_TclCreate(Tcl_Interp *interp);
int vtkTensor_TclCreate(Tcl_Interp *interp);
int vtkTetra_TclCreate(Tcl_Interp *interp);
int vtkTreeBFSIterator_TclCreate(Tcl_Interp *interp);
int vtkTree_TclCreate(Tcl_Interp *interp);
int vtkTreeDFSIterator_TclCreate(Tcl_Interp *interp);
int vtkTriangle_TclCreate(Tcl_Interp *interp);
int vtkTriangleStrip_TclCreate(Tcl_Interp *interp);
int vtkTriQuadraticHexahedron_TclCreate(Tcl_Interp *interp);
int vtkUndirectedGraph_TclCreate(Tcl_Interp *interp);
int vtkUniformGrid_TclCreate(Tcl_Interp *interp);
int vtkUnstructuredGrid_TclCreate(Tcl_Interp *interp);
int vtkVertex_TclCreate(Tcl_Interp *interp);
int vtkVertexListIterator_TclCreate(Tcl_Interp *interp);
int vtkVoxel_TclCreate(Tcl_Interp *interp);
int vtkWedge_TclCreate(Tcl_Interp *interp);
int vtkXMLDataElement_TclCreate(Tcl_Interp *interp);
int vtkTreeIterator_TclCreate(Tcl_Interp *interp);
int vtkMolecule_TclCreate(Tcl_Interp *interp);
int vtkAbstractElectronicData_TclCreate(Tcl_Interp *interp);
int vtkNonOverlappingAMR_TclCreate(Tcl_Interp *interp);
int vtkOverlappingAMR_TclCreate(Tcl_Interp *interp);
int vtkAMRInformation_TclCreate(Tcl_Interp *interp);
int vtkUniformGridAMR_TclCreate(Tcl_Interp *interp);
int vtkUniformGridAMRDataIterator_TclCreate(Tcl_Interp *interp);
int vtkExtentTranslator_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkcommondatamodeltcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkcommondatamodeltcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkcommondatamodeltcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkcommondatamodeltcl_Init(interp);
}


int VTK_EXPORT Vtkcommondatamodeltcl_Init(Tcl_Interp *interp)
{

  vtkAbstractCellLocator_TclCreate(interp);
  vtkAbstractPointLocator_TclCreate(interp);
  vtkAdjacentVertexIterator_TclCreate(interp);
  vtkAnimationScene_TclCreate(interp);
  vtkAnnotation_TclCreate(interp);
  vtkAnnotationLayers_TclCreate(interp);
  vtkArrayData_TclCreate(interp);
  vtkAttributesErrorMetric_TclCreate(interp);
  vtkBiQuadraticQuad_TclCreate(interp);
  vtkBiQuadraticQuadraticHexahedron_TclCreate(interp);
  vtkBiQuadraticQuadraticWedge_TclCreate(interp);
  vtkBiQuadraticTriangle_TclCreate(interp);
  vtkBox_TclCreate(interp);
  vtkBSPCuts_TclCreate(interp);
  vtkBSPIntersections_TclCreate(interp);
  vtkCell3D_TclCreate(interp);
  vtkCellArray_TclCreate(interp);
  vtkCell_TclCreate(interp);
  vtkCellData_TclCreate(interp);
  vtkCellLinks_TclCreate(interp);
  vtkCellLocator_TclCreate(interp);
  vtkCellTypes_TclCreate(interp);
  vtkCompositeDataSet_TclCreate(interp);
  vtkCompositeDataIterator_TclCreate(interp);
  vtkCone_TclCreate(interp);
  vtkConvexPointSet_TclCreate(interp);
  vtkCubicLine_TclCreate(interp);
  vtkCylinder_TclCreate(interp);
  vtkDataObjectCollection_TclCreate(interp);
  vtkDataObject_TclCreate(interp);
  vtkDataObjectTypes_TclCreate(interp);
  vtkDataObjectTree_TclCreate(interp);
  vtkDataObjectTreeIterator_TclCreate(interp);
  vtkDataSetAttributes_TclCreate(interp);
  vtkDataSetCollection_TclCreate(interp);
  vtkDataSet_TclCreate(interp);
  vtkDirectedAcyclicGraph_TclCreate(interp);
  vtkDirectedGraph_TclCreate(interp);
  vtkDistributedGraphHelper_TclCreate(interp);
  vtkEdgeListIterator_TclCreate(interp);
  vtkEdgeTable_TclCreate(interp);
  vtkEmptyCell_TclCreate(interp);
  vtkExplicitCell_TclCreate(interp);
  vtkFieldData_TclCreate(interp);
  vtkGenericAdaptorCell_TclCreate(interp);
  vtkGenericAttributeCollection_TclCreate(interp);
  vtkGenericAttribute_TclCreate(interp);
  vtkGenericCell_TclCreate(interp);
  vtkGenericCellIterator_TclCreate(interp);
  vtkGenericCellTessellator_TclCreate(interp);
  vtkGenericDataSet_TclCreate(interp);
  vtkGenericEdgeTable_TclCreate(interp);
  vtkGenericInterpolatedVelocityField_TclCreate(interp);
  vtkGenericPointIterator_TclCreate(interp);
  vtkGenericSubdivisionErrorMetric_TclCreate(interp);
  vtkGeometricErrorMetric_TclCreate(interp);
  vtkGraph_TclCreate(interp);
  vtkGraphEdge_TclCreate(interp);
  vtkGraphInternals_TclCreate(interp);
  vtkHexagonalPrism_TclCreate(interp);
  vtkHexahedron_TclCreate(interp);
  vtkHierarchicalBoxDataIterator_TclCreate(interp);
  vtkHierarchicalBoxDataSet_TclCreate(interp);
  vtkHyperOctreeCursor_TclCreate(interp);
  vtkHyperOctree_TclCreate(interp);
  vtkHyperOctreePointsGrabber_TclCreate(interp);
  vtkHyperTree_TclCreate(interp);
  vtkHyperTreeCursor_TclCreate(interp);
  vtkHyperTreeGrid_TclCreate(interp);
  vtkImageData_TclCreate(interp);
  vtkImplicitBoolean_TclCreate(interp);
  vtkImplicitDataSet_TclCreate(interp);
  vtkImplicitFunctionCollection_TclCreate(interp);
  vtkImplicitFunction_TclCreate(interp);
  vtkImplicitHalo_TclCreate(interp);
  vtkImplicitSelectionLoop_TclCreate(interp);
  vtkImplicitSum_TclCreate(interp);
  vtkImplicitVolume_TclCreate(interp);
  vtkImplicitWindowFunction_TclCreate(interp);
  vtkIncrementalOctreeNode_TclCreate(interp);
  vtkIncrementalOctreePointLocator_TclCreate(interp);
  vtkIncrementalPointLocator_TclCreate(interp);
  vtkInEdgeIterator_TclCreate(interp);
  vtkInformationQuadratureSchemeDefinitionVectorKey_TclCreate(interp);
  vtkIterativeClosestPointTransform_TclCreate(interp);
  vtkKdNode_TclCreate(interp);
  vtkKdTree_TclCreate(interp);
  vtkKdTreePointLocator_TclCreate(interp);
  vtkLine_TclCreate(interp);
  vtkLocator_TclCreate(interp);
  vtkMeanValueCoordinatesInterpolator_TclCreate(interp);
  vtkMergePoints_TclCreate(interp);
  vtkMultiBlockDataSet_TclCreate(interp);
  vtkMultiPieceDataSet_TclCreate(interp);
  vtkMutableDirectedGraph_TclCreate(interp);
  vtkMutableUndirectedGraph_TclCreate(interp);
  vtkNonLinearCell_TclCreate(interp);
  vtkNonMergingPointLocator_TclCreate(interp);
  vtkOctreePointLocator_TclCreate(interp);
  vtkOctreePointLocatorNode_TclCreate(interp);
  vtkOrderedTriangulator_TclCreate(interp);
  vtkOutEdgeIterator_TclCreate(interp);
  vtkPath_TclCreate(interp);
  vtkPentagonalPrism_TclCreate(interp);
  vtkPerlinNoise_TclCreate(interp);
  vtkPiecewiseFunction_TclCreate(interp);
  vtkPixel_TclCreate(interp);
  vtkPlaneCollection_TclCreate(interp);
  vtkPlane_TclCreate(interp);
  vtkPlanes_TclCreate(interp);
  vtkPlanesIntersection_TclCreate(interp);
  vtkPointData_TclCreate(interp);
  vtkPointLocator_TclCreate(interp);
  vtkPointSet_TclCreate(interp);
  vtkPointsProjectedHull_TclCreate(interp);
  vtkPolyDataCollection_TclCreate(interp);
  vtkPolyData_TclCreate(interp);
  vtkPolygon_TclCreate(interp);
  vtkPolyhedron_TclCreate(interp);
  vtkPolyLine_TclCreate(interp);
  vtkPolyPlane_TclCreate(interp);
  vtkPolyVertex_TclCreate(interp);
  vtkPyramid_TclCreate(interp);
  vtkQuad_TclCreate(interp);
  vtkQuadraticEdge_TclCreate(interp);
  vtkQuadraticHexahedron_TclCreate(interp);
  vtkQuadraticLinearQuad_TclCreate(interp);
  vtkQuadraticLinearWedge_TclCreate(interp);
  vtkQuadraticPyramid_TclCreate(interp);
  vtkQuadraticQuad_TclCreate(interp);
  vtkQuadraticTetra_TclCreate(interp);
  vtkQuadraticTriangle_TclCreate(interp);
  vtkQuadraticWedge_TclCreate(interp);
  vtkQuadratureSchemeDefinition_TclCreate(interp);
  vtkQuadric_TclCreate(interp);
  vtkRectilinearGrid_TclCreate(interp);
  vtkReebGraph_TclCreate(interp);
  vtkReebGraphSimplificationMetric_TclCreate(interp);
  vtkSelection_TclCreate(interp);
  vtkSelectionNode_TclCreate(interp);
  vtkSimpleCellTessellator_TclCreate(interp);
  vtkSmoothErrorMetric_TclCreate(interp);
  vtkSphere_TclCreate(interp);
  vtkSpline_TclCreate(interp);
  vtkStructuredData_TclCreate(interp);
  vtkStructuredExtent_TclCreate(interp);
  vtkStructuredGrid_TclCreate(interp);
  vtkStructuredPointsCollection_TclCreate(interp);
  vtkStructuredPoints_TclCreate(interp);
  vtkStructuredVisibilityConstraint_TclCreate(interp);
  vtkSuperquadric_TclCreate(interp);
  vtkTable_TclCreate(interp);
  vtkTensor_TclCreate(interp);
  vtkTetra_TclCreate(interp);
  vtkTreeBFSIterator_TclCreate(interp);
  vtkTree_TclCreate(interp);
  vtkTreeDFSIterator_TclCreate(interp);
  vtkTriangle_TclCreate(interp);
  vtkTriangleStrip_TclCreate(interp);
  vtkTriQuadraticHexahedron_TclCreate(interp);
  vtkUndirectedGraph_TclCreate(interp);
  vtkUniformGrid_TclCreate(interp);
  vtkUnstructuredGrid_TclCreate(interp);
  vtkVertex_TclCreate(interp);
  vtkVertexListIterator_TclCreate(interp);
  vtkVoxel_TclCreate(interp);
  vtkWedge_TclCreate(interp);
  vtkXMLDataElement_TclCreate(interp);
  vtkTreeIterator_TclCreate(interp);
  vtkMolecule_TclCreate(interp);
  vtkAbstractElectronicData_TclCreate(interp);
  vtkNonOverlappingAMR_TclCreate(interp);
  vtkOverlappingAMR_TclCreate(interp);
  vtkAMRInformation_TclCreate(interp);
  vtkUniformGridAMR_TclCreate(interp);
  vtkUniformGridAMRDataIterator_TclCreate(interp);
  vtkExtentTranslator_TclCreate(interp);
  char pkgName[]="vtkCommonDataModelTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
